Sync error : Sync encountered an error while syncing: Unknown error

RESOLVED FIXED

Status

Cloud Services
Firefox Sync: Backend
RESOLVED FIXED
6 years ago
6 years ago

People

(Reporter: Len, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [closeme 2011-10-30])

Attachments

(1 attachment)

(Reporter)

Description

6 years ago
Created attachment 565157 [details]
1317886912529.log

User Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
Build ID: 20110928134238

Steps to reproduce:

Nothing specific, sync is working by itself in the background


Actual results:

I get the error messages nearly all the time it's syncing.
The log file is stopping at different stages each time:

1317888585997	Sync.Service	DEBUG	Exception: Some engines did not sync correctly No traceback available
1317888886138	Sync.Service	INFO	Starting sync at 2011-10-06 10:14:46
1317888886139	Sync.SyncScheduler	DEBUG	Clearing sync triggers.
1317888886139	Sync.Service	INFO	In sync().
1317888890093	Sync.Resource	DEBUG	mesg: GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317888890093	Sync.Resource	DEBUG	GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317888890094	Sync.Service	DEBUG	Fetching global metadata record
1317888890094	Sync.Service	DEBUG	Weave Version: 1.10.0 Local Storage: 5 Remote Storage: 5
1317888890094	Sync.Service	INFO	Sync key is up-to-date: no need to upgrade.
1317888890094	Sync.Service	DEBUG	Fetching and verifying -- or generating -- symmetric keys.
1317888890094	Sync.Service	INFO	Testing info/collections: {"tabs":1317856912.69,"clients":1317888498.78,"crypto":1306302743.58,"client":1309346804.7,"forms":1317856878.33,"meta":1306302804.88,"key":1291340012.31,"bookmarks":1317888546.33,"history":1317856889.49}
1317888890094	Sync.CollectionKeys	INFO	Testing for updateNeeded. Last modified: 1306302743.58
1317888890094	Sync.Service	DEBUG	Refreshing client list.
1317888890094	Sync.Engine.Clients	INFO	1 outgoing items pre-reconciliation
1317888930218	Sync.Collection	DEBUG	mesg: GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/clients?newer=1317768342.51&full=1
1317888930218	Sync.Collection	DEBUG	GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/clients?newer=1317768342.51&full=1
1317888930218	Sync.Service	DEBUG	clients failed: "server error: converted 500" No traceback available
1317888930218	Sync.Service	INFO	Updating enabled engines: 2 clients.
1317888930220	Sync.Engine.Bookmarks	INFO	2 outgoing items pre-reconciliation
1317888958455	Sync.Collection	DEBUG	mesg: GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/bookmarks?newer=1317738998.81&full=1
1317888958456	Sync.Collection	DEBUG	GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/bookmarks?newer=1317738998.81&full=1
1317888958456	Sync.Service	DEBUG	bookmarks failed: "server error: converted 500" No traceback available
1317888958456	Sync.Service	INFO	Aborting sync
1317888958463	Sync.SyncScheduler	CONFIG	Starting backoff, next sync at:Thu Oct 06 2011 11:43:16 GMT+0200

---------------

1317886912530	Sync.Service	DEBUG	Exception: Login failed: error.login.reason.server No traceback available
1317886912530	Sync.Service	DEBUG	Not syncing: login returned false.
1317887110823	Sync.Service	INFO	Starting sync at 2011-10-06 09:45:10
1317887110823	Sync.Service	DEBUG	In sync: should login.
1317887110824	Sync.Service	INFO	Logging in user hrii
1317887153137	Sync.Resource	DEBUG	mesg: GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317887153137	Sync.Resource	DEBUG	GET fail 503 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317887153141	Sync.SyncScheduler	DEBUG	Clearing sync triggers.

-------------

1317886486411	Sync.Service	INFO	Loading Weave 1.10.0
1317886486426	Sync.Engine.Bookmarks	DEBUG	Engine initialized
1317886486428	Sync.Engine.Forms	DEBUG	Engine initialized
1317886486429	Sync.Engine.History	DEBUG	Engine initialized
1317886486498	Sync.Engine.Passwords	DEBUG	Engine initialized
1317886486499	Sync.Engine.Prefs	DEBUG	Engine initialized
1317886486500	Sync.Engine.Tabs	DEBUG	Engine initialized
1317886486500	Sync.Engine.Tabs	DEBUG	Resetting tabs last sync time
1317886486501	Sync.Service	INFO	Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
1317886486695	Sync.Service	DEBUG	Caching URLs under storage user base: https://phx-sync267.services.mozilla.com/1.1/hrii/
1317886489151	Sync.Engine.AdblockPlus	DEBUG	Engine initialized
1317886504875	Sync.Service	INFO	Starting sync at 2011-10-06 09:35:04
1317886504875	Sync.Service	DEBUG	In sync: should login.
1317886504876	Sync.Service	INFO	Logging in user hrii
1317886515100	Sync.Resource	WARN	Caught unexpected exception Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsIHttpChannel.responseStatus] Stack trace: _onComplete()@resource://services-sync/resource.js:327 < innerBind()@resource://services-sync/util.js:1159 < Channel_onStopRequest()@resource://services-sync/resource.js:553 in _onComplete.
1317886515100	Sync.Resource	DEBUG	Stack trace: _onComplete()@resource://services-sync/resource.js:327 < innerBind()@resource://services-sync/util.js:1159 < Channel_onStopRequest()@resource://services-sync/resource.js:553
1317886515100	Sync.Resource	DEBUG	Caught exception Component returned failure code: 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsIHttpChannel.visitResponseHeaders] Stack trace: _onComplete()@resource://services-sync/resource.js:362 < innerBind()@resource://services-sync/util.js:1159 < Channel_onStopRequest()@resource://services-sync/resource.js:553 visiting headers in _onComplete.
1317886515100	Sync.Resource	DEBUG	Stack trace: _onComplete()@resource://services-sync/resource.js:362 < innerBind()@resource://services-sync/util.js:1159 < Channel_onStopRequest()@resource://services-sync/resource.js:553
1317886515124	Sync.SyncScheduler	DEBUG	Clearing sync triggers.

----------------

1317798857377	Sync.Service	INFO	Loading Weave 1.10.0
1317798857393	Sync.Engine.Bookmarks	DEBUG	Engine initialized
1317798857395	Sync.Engine.Forms	DEBUG	Engine initialized
1317798857397	Sync.Engine.History	DEBUG	Engine initialized
1317798857427	Sync.Engine.Passwords	DEBUG	Engine initialized
1317798857428	Sync.Engine.Prefs	DEBUG	Engine initialized
1317798857429	Sync.Engine.Tabs	DEBUG	Engine initialized
1317798857455	Sync.Engine.Tabs	DEBUG	Resetting tabs last sync time
1317798857514	Sync.Service	INFO	Mozilla/5.0 (Windows NT 6.1; WOW64; rv:7.0.1) Gecko/20100101 Firefox/7.0.1
1317798857658	Sync.Service	DEBUG	Caching URLs under storage user base: https://phx-sync267.services.mozilla.com/1.1/hrii/
1317798858866	Sync.Engine.AdblockPlus	DEBUG	Engine initialized
1317811022638	Sync.Service	INFO	Starting sync at 2011-10-05 12:37:02
1317811022654	Sync.Service	DEBUG	In sync: should login.
1317811022655	Sync.Service	INFO	Logging in user hrii
1317811026840	Sync.Service	INFO	Starting sync at 2011-10-05 12:37:06
1317811026840	Sync.Service	DEBUG	In sync: should login.
1317811026840	Sync.Service	DEBUG	Exception: Could not acquire lock. Label: "service.js: login". No traceback available
1317811026840	Sync.Service	INFO	Cannot start sync: already syncing?
1317811026840	Sync.Service	DEBUG	Not syncing: login returned false.
1317811027966	Sync.Resource	DEBUG	mesg: GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317811027966	Sync.Resource	DEBUG	GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/info/collections
1317811027966	Sync.Service	DEBUG	Fetching global metadata record
1317811031154	Sync.Resource	DEBUG	mesg: GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/meta/global
1317811031154	Sync.Resource	DEBUG	GET success 200 https://phx-sync267.services.mozilla.com/1.1/hrii/storage/meta/global
1317811031155	Sync.Service	DEBUG	Weave Version: 1.10.0 Local Storage: 5 Remote Storage: 5
1317811031155	Sync.Service	INFO	Sync key is up-to-date: no need to upgrade.
1317811031155	Sync.Service	DEBUG	Fetching and verifying -- or generating -- symmetric keys.
1317811036354	Sync.Service	WARN	Failed to fetch symmetric keys. Failing remote setup.
1317811036354	Sync.Service	WARN	Remote setup failed.
1317811036373	Sync.SyncScheduler	DEBUG	Clearing sync triggers.


Expected results:

Sync should work :)
mass change of sync error bugs filed during outage.
Blocks: 690470
Whiteboard: [closeme 2011-10-30]
Servers were repaired. marking as FIXED
Status: UNCONFIRMED → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.